%define name dudusdl
%define version 0.1.1
%define release 20020621

Summary: A clone of the Puzzle Bubble game
Name: %{name}
Version: %{version}
Release: %{release}
Group: Amusements/Games
License: GPL
URL: http://titaresse.free.fr/prog/dudu.html
Packager: Colin Leroy <colin@colino.net>
Source: http://titaresse.free.fr/prog/download/dudusdl-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

%description
DuduSdl is a Puzzle Bubble clone, playable up to 4 players.

%prep
%setup 
./configure --prefix=/usr 
%build
make
%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
# Install documentation.
%doc COPYING AUTHORS README README.FR ChangeLog
# Icons and other pleasantries
%config /etc/X11/applnk/Games/Dudusdl.desktop
%{_prefix}/share/pixmaps/dudu.png
# Install the pix
%{_prefix}/share/dudusdl/*.pcx
# Lastly, the binary itself
%{_prefix}/bin/dudusdl

%changelog
* Fri Jun 21 2002 Colin Leroy <colin@colino.net>
- First RPM
